package it.integry.integrywmsnative.core.data_store.db.view_model;

import it.integry.integrywmsnative.core.data_store.db.entity.ArticoloGriglia;

public class ArticoloDTO {

    private String codMart;


    private String descrizione;


    private String untMis;


    private float qtaCnf;


    private String barcode;


    private float merceDaRic;


    private float mediaSett;


    private String flagQtaMultipla;

    private float qtaMinOrdinabile;

    public String getCodMart() {
        return codMart;
    }

    public void setCodMart(String codMart) {
        this.codMart = codMart;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public void setDescrizione(String descrizione) {
        this.descrizione = descrizione;
    }

    public String getUntMis() {
        return untMis;
    }

    public void setUntMis(String untMis) {
        this.untMis = untMis;
    }

    public float getQtaCnf() {
        return qtaCnf;
    }

    public void setQtaCnf(float qtaCnf) {
        this.qtaCnf = qtaCnf;
    }

    public String getBarCode() {
        return barcode;
    }

    public void setBarCode(String barCode) {
        this.barcode = barCode;
    }

    public float getMerceDaRic() {
        return merceDaRic;
    }

    public void setMerceDaRic(float merceDaRic) {
        this.merceDaRic = merceDaRic;
    }

    public float getMediaSett() {
        return mediaSett;
    }

    public void setMediaSett(float mediaSett) {
        this.mediaSett = mediaSett;
    }

    public String getFlagQtaMultipla() {
        return flagQtaMultipla;
    }

    public void setFlagQtaMultipla(String flagQtaMultipla) {
        this.flagQtaMultipla = flagQtaMultipla;
    }

    public float getQtaMinOrdinabile() {
        return qtaMinOrdinabile;
    }

    public void setQtaMinOrdinabile(float qtaMinOrdinabile) {
        this.qtaMinOrdinabile = qtaMinOrdinabile;
    }


    public ArticoloGriglia toArticoloGriglia(){
        ArticoloGriglia result = new ArticoloGriglia();
        result.setBarCode(this.getBarCode());
        result.setDescrizione(this.getDescrizione());
        result.setCodMart(this.getCodMart());
        result.setUntMis(this.getUntMis());
        result.setQtaCnf(this.getQtaCnf());
        result.setMerceDaRic(this.getMerceDaRic());
        result.setMediaSett(this.getMediaSett());
        result.setFlagQtaMultipla(this.getFlagQtaMultipla());
        result.setQtaMinOrdinabile(this.getQtaMinOrdinabile());

        return result;
    }
}
